# Uses of Enum Class
org.apache.datasketches.tuple.SerializerDeserializer.SketchType

Packages that use SerializerDeserializer.SketchType
Package
Description
org.apache.datasketches.tuple
The tuple package contains a number of sketches based on the same fundamental algorithms of the Theta Sketch Framework and extend these concepts for whole new families of sketches.

## Uses of SerializerDeserializer.SketchType in org.apache.datasketches.tuple

Methods in org.apache.datasketches.tuple that return SerializerDeserializer.SketchType
Modifier and Type
Method
Description
`static SerializerDeserializer.SketchType`
SerializerDeserializer.`getSketchType(org.apache.datasketches.memory.Memory mem)`
Gets the sketch type byte from the given Memory image
`static SerializerDeserializer.SketchType`
SerializerDeserializer.SketchType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SerializerDeserializer.SketchType[]`
SerializerDeserializer.SketchType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.datasketches.tuple with parameters of type SerializerDeserializer.SketchType
Modifier and Type
Method
Description
`static void`
SerializerDeserializer.`validateType(byte sketchTypeByte, SerializerDeserializer.SketchType expectedType)`
Validates the sketch type byte versus the expected value